> For the complete documentation index, see [llms.txt](https://apidocs.tradebit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.tradebit.io/api-reference/private-apis/wallet/withdraw.md).

# Withdraw

Withdrawing cryptocurrency typically involves moving your digital assets from one wallet or account to another.

## Wallet Transaction Data

## Wallet Transaction History

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/wallet-trans/get`&#x20;

It is a record of all incoming and outgoing transactions associated with that wallet. This history provides a detailed view of how the wallet has been used, showing every transaction's date, time, amount, and status.

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | jwt token   |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "status_code": "Integer", // 1
    "status_text": "String", // Success
    "message": "String",
    "data":"Array"
}
```

{% endtab %}
{% endtabs %}

## Withdraw

## Withdraw API

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/withdraw/process`&#x20;

Here user send crypto from his wallet to another user wallet.

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | jwt token   |

#### Request Body

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| token\_type<mark style="color:red;">\*</mark> | String |             |
| amount<mark style="color:red;">\*</mark>      | String |             |
| toAddress<mark style="color:red;">\*</mark>   | String |             |
| currency<mark style="color:red;">\*</mark>    | String |             |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "status_code": "Integer", // 1
    "status_text": "String", // Success
    "message": "String"
}
```

{% endtab %}

{% tab title="200: OK Failed" %}

```javascript
{
    "status_code": "Integer", // 0
    "status_text": "String", // Failed
    "message": "String"
}
```

{% endtab %}
{% endtabs %}

## Verify Withdraw

## Verify Withdraw

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/withdraw/verify`&#x20;

Before withdraw crypto user verify the details those are filled by user at the time of withdraw.

#### Headers

| Name          | Type   | Description |
| ------------- | ------ | ----------- |
| Authorization | String | jwt token   |

#### Request Body

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| token\_type<mark style="color:red;">\*</mark> | String |             |
| amount<mark style="color:red;">\*</mark>      | String |             |
| toAddress<mark style="color:red;">\*</mark>   | String |             |
| currency<mark style="color:red;">\*</mark>    | String |             |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "status_code": "Integer", // 1
    "status_text": "String", // Success
    "message": "String"
}
```

{% endtab %}

{% tab title="200: OK Failed" %}

```javascript
{
    "status_code": "Integer", // 0
    "status_text": "String", // Failed
    "message": "String"
}
```

{% endtab %}
{% endtabs %}
